"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const HttpException_1 = __importDefault(require("./HttpException"));
const http_status_1 = __importDefault(require("../utils/http-status"));
// Storing the status code and Default message for the NotFoundException
const statusCode = http_status_1.default.NOT_FOUND;
const defaultMessage = `${statusCode} Not found`;
class NotFoundException extends HttpException_1.default {
    constructor(message = defaultMessage, properties) {
        super(statusCode, message, properties);
        this.name = 'NotFoundException';
    }
}
exports.default = NotFoundException;
