import HttpException from './HttpException';
/**
 * Custom exception class for unauthorized access.
 * Extends the HttpException class.
 */
export default class UnauthorizedException extends HttpException {
    /**
     * Constructor for UnauthorizedException.
     * @param message - Optional. The error message for the exception. Defaults to the default message.
     * @param properties - Optional. Additional properties to be attached to the exception.
     */
    constructor(message?: string, properties?: object);
}
