import { Request, Response, NextFunction } from 'express';
/**
 * Middleware for handling 404 Not Found errors.
 *
 * @param _: Express Request object (unused)
 * @param __: Express Response object (unused)
 * @param next: Express NextFunction to pass control to the next middleware
 */
export default function notFoundMiddleware(_: Request, __: Response, next: NextFunction): Promise<void>;
